Bug 865519 - (CVE-2012-5071) CVE-2012-5071 OpenJDK: DescriptorSupport insufficient package access checks (JMX, 7192975)
CVE-2012-5071 OpenJDK: DescriptorSupport insufficient package access checks (...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20121016,repo...
: Security
Depends On:
Blocks: 862579
  Show dependency treegraph
 
Reported: 2012-10-11 12:28 EDT by Tomas Hoger
Modified: 2013-10-23 13:07 EDT (History)
6 users (show)

See Also:
Fixed In Version: icedtea6 1.10.10, icedtea6 1.11.5, icedtea7 2.1.3, icedtea7 2.2.3, icedtea7 2.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 03:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-10-11 12:28:30 EDT
A flaw was found in the javax.management.modelmbean.DescriptorSupport class, that could allow an untrusted Java application or applet to gain access to classes in restricted packages, bypassing certain expected Java sandbox restrictions.
Comment 2 Tomas Hoger 2012-10-17 10:40:16 EDT
Fixed now in Oracle JDK 7u9 and 6u37.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpuoct2012-1515924.html
Comment 4 errata-xmlrpc 2012-10-17 12:10:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1386 https://rhn.redhat.com/errata/RHSA-2012-1386.html
Comment 5 errata-xmlrpc 2012-10-17 12:11:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1385 https://rhn.redhat.com/errata/RHSA-2012-1385.html
Comment 6 errata-xmlrpc 2012-10-17 12:12:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1384 https://rhn.redhat.com/errata/RHSA-2012-1384.html
Comment 8 errata-xmlrpc 2012-10-18 12:46:28 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1391 https://rhn.redhat.com/errata/RHSA-2012-1391.html
Comment 9 errata-xmlrpc 2012-10-18 12:57:08 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1392 https://rhn.redhat.com/errata/RHSA-2012-1392.html
Comment 10 errata-xmlrpc 2012-11-15 16:09:18 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1467 https://rhn.redhat.com/errata/RHSA-2012-1467.html
Comment 11 errata-xmlrpc 2012-11-15 16:10:23 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:1465 https://rhn.redhat.com/errata/RHSA-2012-1465.html
Comment 12 errata-xmlrpc 2012-11-15 16:18:52 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:1466 https://rhn.redhat.com/errata/RHSA-2012-1466.html
Comment 13 errata-xmlrpc 2013-10-23 12:33:32 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 14 errata-xmlrpc 2013-10-23 13:07:26 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.